package request


type AlibabaWdkSkuMerchantskuScrollQueryRequest struct {
    /*
        HM     */
    OrgNo  *string `json:"org_no,omitempty" required:"false" `
    /*
        第一次为null，后面从结果中获取     */
    ScrollId  *string `json:"scroll_id,omitempty" required:"false" `
}

func (s *AlibabaWdkSkuMerchantskuScrollQueryRequest) SetOrgNo(v string) *AlibabaWdkSkuMerchantskuScrollQueryRequest {
    s.OrgNo = &v
    return s
}
func (s *AlibabaWdkSkuMerchantskuScrollQueryRequest) SetScrollId(v string) *AlibabaWdkSkuMerchantskuScrollQueryRequest {
    s.ScrollId = &v
    return s
}

func (req *AlibabaWdkSkuMerchantskuScrollQueryRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.OrgNo != nil) {
        paramMap["org_no"] = *req.OrgNo
    }
    if(req.ScrollId != nil) {
        paramMap["scroll_id"] = *req.ScrollId
    }
    return paramMap
}

func (req *AlibabaWdkSkuMerchantskuScrollQueryRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}